Labeling style options reduced for default font on Windows 10

2018-11-11 06:19 PM - Massimiliano Moraca

Status: Open

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28273

Description

I've need to report a bug in QGIS 3.4.

As you can see from the image below, in the new version, for the labeling using Windows there isn't many option as "bold italic". This

option are present if you use the last LTR on Windows or QGIS 3.4 on Ubuntu 18.04

History

#1 - 2018-11-11 07:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

I think it depends on the fonts (and font styles) installed at a system level, is not a qgis thing. In other applications you see the "missing" fonts?

#2 - 2018-11-17 08:24 AM - Massimiliano Moraca

Giovanni Manghi wrote:

I think it depends on the fonts (and font styles) installed at a system level, is not a qgis thing. In other applications you see the "missing" fonts?

I see that if I open the same project with 2.18 and 3.4 on Windows 10, in the first case I've the possibility to select more option than the second. Are you

sure that isn't a QGIS problem?

On Ubuntu 18.04 with 2.18 and 3.4 I can use the same option.

#3 - 2018-11-17 01:59 PM - Giovanni Manghi

On Ubuntu 18.04 with 2.18 and 3.4 I can use the same option.

so is a Windows problem or a QGIS problem under Windows.

#4 - 2018-11-17 04:21 PM - Massimiliano Moraca

Giovanni Manghi wrote:

On Ubuntu 18.04 with 2.18 and 3.4 I can use the same option.
so is a Windows problem or a QGIS problem under Windows.

Then, how I can solve it?

#5 - 2018-11-17 05:47 PM - Harrissou Santanna

Massimiliano Moraca wrote:

On Ubuntu 18.04 with 2.18 and 3.4 I can use the same option.

You mean the same options, using the same font family? In your screenshot you use MS Shell Dlg 2. Is it available on Ubuntu and do you get the same full

list of styles?

Giovanni Manghi wrote:

On Ubuntu 18.04 with 2.18 and 3.4 I can use the same option.

so is a Windows problem or a QGIS problem under Windows.

This would be a QGIS 3 "problem" on Windows, not Windows problem imho. As shown in Massimiliano attached image (and I can confirn on Win 10), 2.18

finds the italic and bold italic while 3.4 doesn't. Randomy checking fonts, it appears that there are many that lose some of their font styles from 2 to 3

(Adobe Caslon Pro, Adobe Garamond Pro, Tahoma...) but at the same time there are some that keep the same styles or have more styles than in 2.x

(Calibri, Arial).

Maybe it has to do with underlying font libraries?

Also I don't know if it has something to do with (a part of) the issue but in 3.4 the default MS Shell Dlg 2 font has its styles translated. But it seems to be the

only one translated.

#6 - 2018-11-17 05:55 PM - Massimiliano Moraca

Harrissou Santanna wrote:

You mean the same options, using the same font family? In your screenshot you use MS Shell Dlg 2. Is it available on Ubuntu and do you get the

same full list of styles?

The default font family on Ubuntu(now I don't remember the name) doesn't have this problem. This problem there's only on Windows.

#7 - 2019-03-09 10:11 AM - Giovanni Manghi

- Operating System changed from Windows 10 to Windows

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Affected QGIS version changed from 3.4.1 to 3.7(master)
